summaryrefslogtreecommitdiff
path: root/macosx-setup.sh
diff options
context:
space:
mode:
authorJoerg Mayer <jmayer@loplof.de>2015-12-29 21:14:23 +0100
committerJörg Mayer <jmayer@loplof.de>2015-12-29 23:18:55 +0000
commitd1149414de0722d9205d7625ac8c7a1409605d27 (patch)
tree55543808b2649f0ea070e5c03b021762f1eb7583 /macosx-setup.sh
parent36615661d5b0bacef519a64a3cc24cf9d4270117 (diff)
downloadwireshark-d1149414de0722d9205d7625ac8c7a1409605d27.tar.gz
CMake updates
- make CMAKE_VERSION configurable via environment variable - Fix download URL (no www. and httpS) Change-Id: Id347b2f837d26063d889667f69bb1b4418e8e86d Reviewed-on: https://code.wireshark.org/review/12934 Reviewed-by: Jörg Mayer <jmayer@loplof.de>
Diffstat (limited to 'macosx-setup.sh')
-rwxr-xr-xmacosx-setup.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/macosx-setup.sh b/macosx-setup.sh
index a734b50a8a..9b64c4d488 100755
--- a/macosx-setup.sh
+++ b/macosx-setup.sh
@@ -57,7 +57,7 @@ XZ_VERSION=5.0.4
#
# In case we want to build with cmake.
#
-CMAKE_VERSION=2.8.12.2
+CMAKE_VERSION=${CMAKE_VERSION-2.8.12.2}
#
# The following libraries and tools are required even to build only TShark.
@@ -330,7 +330,7 @@ install_cmake() {
#
# Download the DMG, run the installer.
#
- [ -f cmake-$CMAKE_VERSION-Darwin64-universal.dmg ] || curl -O http://www.cmake.org/files/v$CMAKE_MAJOR_MINOR_VERSION/cmake-$CMAKE_VERSION-Darwin64-universal.dmg || exit 1
+ [ -f cmake-$CMAKE_VERSION-Darwin64-universal.dmg ] || curl -O https://cmake.org/files/v$CMAKE_MAJOR_MINOR_VERSION/cmake-$CMAKE_VERSION-Darwin64-universal.dmg || exit 1
sudo hdiutil attach cmake-$CMAKE_VERSION-Darwin64-universal.dmg || exit 1
sudo installer -target / -pkg /Volumes/cmake-$CMAKE_VERSION-Darwin64-universal/cmake-$CMAKE_VERSION-Darwin64-universal.pkg || exit 1
sudo hdiutil detach /Volumes/cmake-$CMAKE_VERSION-Darwin64-universal
@@ -352,7 +352,7 @@ install_cmake() {
else
type="Darwin-x86_64"
fi
- [ -f cmake-$CMAKE_VERSION-$type.dmg ] || curl -O http://www.cmake.org/files/v$CMAKE_MAJOR_MINOR_VERSION/cmake-$CMAKE_VERSION-$type.dmg || exit 1
+ [ -f cmake-$CMAKE_VERSION-$type.dmg ] || curl -O https://cmake.org/files/v$CMAKE_MAJOR_MINOR_VERSION/cmake-$CMAKE_VERSION-$type.dmg || exit 1
sudo hdiutil attach cmake-$CMAKE_VERSION-$type.dmg || exit 1
sudo ditto /Volumes/cmake-$CMAKE_VERSION-$type/CMake.app /Applications/CMake.app || exit 1